> For the complete documentation index, see [llms.txt](https://docs.deltadefi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.deltadefi.io/start-trading/developers/api-documentation/account/order-records-2.md).

# Trade orders

## Get trade orders

> Get trade orders (orders with executions) for the authenticated user with pagination. Quantities are returned in human-readable format adjusted for token decimals.

```json
{"openapi":"3.1.1","info":{"title":"Espresso API Server","version":"1.0"},"security":[{"ApiKeyAuth":[]}],"paths":{"/accounts/trade-orders":{"get":{"description":"Get trade orders (orders with executions) for the authenticated user with pagination. Quantities are returned in human-readable format adjusted for token decimals.","tags":["accounts"],"summary":"Get trade orders","parameters":[{"schema":{"type":"string"},"description":"API Key","name":"X-API-KEY","in":"header","required":true},{"schema":{"type":"string"},"description":"Trading pair symbol","name":"symbol","in":"query","required":true},{"schema":{"type":"integer"},"description":"Page number for pagination, default is 1","name":"page","in":"query"},{"schema":{"type":"integer"},"description":"Limit number of records per page, default is 10","name":"limit","in":"query"}],"responses":{"200":{"description":"Paginated trade orders with decimal-adjusted quantities","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.PaginatedResponse-espresso_internal_api_response_OrderResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}}}}}},"components":{"schemas":{"espresso_internal_api_response.PaginatedResponse-espresso_internal_api_response_OrderResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/espresso_internal_api_response.OrderResponse"}},"total_count":{"type":"integer"},"total_page":{"type":"integer"}}},"espresso_internal_api_response.OrderResponse":{"type":"object","properties":{"account_id":{"type":"string"},"active_order_utxo_id":{"type":"string"},"base_qty":{"type":"string"},"commission":{"type":"string"},"commission_rate_bp":{"type":"integer"},"commission_unit":{"type":"string"},"created_at":{"type":"string"},"executed_base_qty":{"type":"string"},"executed_price":{"type":"string"},"executed_quote_qty":{"type":"string"},"id":{"type":"string"},"locked_base_qty":{"type":"string"},"locked_quote_qty":{"type":"string"},"market_order_limit_price":{"type":"string"},"ob_open_order_base_qty":{"type":"string"},"order_execution_records":{"type":"array","items":{"$ref":"#/components/schemas/espresso_internal_api_response.OrderExecutionRecordResponse"}},"price":{"type":"string"},"quote_qty":{"type":"string"},"side":{"allOf":[{"$ref":"#/components/schemas/schema.OrderSide"}]},"slippage_bp":{"type":"integer"},"status":{"allOf":[{"$ref":"#/components/schemas/schema.OrderStatus"}]},"symbol":{"type":"string"},"type":{"allOf":[{"$ref":"#/components/schemas/schema.OrderType"}]},"updated_at":{"type":"string"}}},"espresso_internal_api_response.OrderExecutionRecordResponse":{"type":"object","properties":{"account_id":{"type":"string"},"commission":{"type":"string"},"commission_unit":{"type":"string"},"counter_party_order_id":{"type":"string"},"created_at":{"type":"string"},"execution_price":{"type":"string"},"filled_base_qty":{"type":"string"},"filled_quote_qty":{"type":"string"},"id":{"type":"string"},"order_id":{"type":"string"},"role":{"allOf":[{"$ref":"#/components/schemas/schema.OrderExecutionRole"}]}}},"schema.OrderExecutionRole":{"type":"string","enum":["maker","taker"]},"schema.OrderSide":{"type":"string","enum":["buy","sell"]},"schema.OrderStatus":{"type":"string","enum":["building","processing","open","closed","failed","cancelled"]},"schema.OrderType":{"type":"string","enum":["market","limit"]},"espresso_internal_api_response.ErrorJSONWithCodeResponse":{"type":"object","properties":{"code":{"type":"integer"},"error":{"type":"string"}}}}}}
```
